<?php
$tdatagestion = array();
$tdatagestion[".searchableFields"] = array();
$tdatagestion[".ShortName"] = "gestion";
$tdatagestion[".OwnerID"] = "";
$tdatagestion[".OriginalTable"] = "gestion";


$tdatagestion[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatagestion[".originalPagesByType"] = $tdatagestion[".pagesByType"];
$tdatagestion[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatagestion[".originalPages"] = $tdatagestion[".pages"];
$tdatagestion[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatagestion[".originalDefaultPages"] = $tdatagestion[".defaultPages"];

//	field labels
$fieldLabelsgestion = array();
$fieldToolTipsgestion = array();
$pageTitlesgestion = array();
$placeHoldersgestion = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsgestion["Spanish"] = array();
	$fieldToolTipsgestion["Spanish"] = array();
	$placeHoldersgestion["Spanish"] = array();
	$pageTitlesgestion["Spanish"] = array();
	$fieldLabelsgestion["Spanish"]["director_Secretario"] = "Director Secretario";
	$fieldToolTipsgestion["Spanish"]["director_Secretario"] = "";
	$placeHoldersgestion["Spanish"]["director_Secretario"] = "";
	$fieldLabelsgestion["Spanish"]["fecha_f"] = "Fecha Final";
	$fieldToolTipsgestion["Spanish"]["fecha_f"] = "";
	$placeHoldersgestion["Spanish"]["fecha_f"] = "";
	$fieldLabelsgestion["Spanish"]["fecha_i"] = "Fecha Inicial";
	$fieldToolTipsgestion["Spanish"]["fecha_i"] = "";
	$placeHoldersgestion["Spanish"]["fecha_i"] = "";
	$fieldLabelsgestion["Spanish"]["id_Empresa"] = "Empresa";
	$fieldToolTipsgestion["Spanish"]["id_Empresa"] = "";
	$placeHoldersgestion["Spanish"]["id_Empresa"] = "";
	$fieldLabelsgestion["Spanish"]["id_Gestion"] = "Id Gestion";
	$fieldToolTipsgestion["Spanish"]["id_Gestion"] = "";
	$placeHoldersgestion["Spanish"]["id_Gestion"] = "";
	$fieldLabelsgestion["Spanish"]["nombre"] = "Gestion";
	$fieldToolTipsgestion["Spanish"]["nombre"] = "";
	$placeHoldersgestion["Spanish"]["nombre"] = "";
	$fieldLabelsgestion["Spanish"]["presidente"] = "Presidente";
	$fieldToolTipsgestion["Spanish"]["presidente"] = "";
	$placeHoldersgestion["Spanish"]["presidente"] = "";
	$fieldLabelsgestion["Spanish"]["sindico"] = "Sindico";
	$fieldToolTipsgestion["Spanish"]["sindico"] = "";
	$placeHoldersgestion["Spanish"]["sindico"] = "";
	$fieldLabelsgestion["Spanish"]["estado"] = "Estado Gestion";
	$fieldToolTipsgestion["Spanish"]["estado"] = "";
	$placeHoldersgestion["Spanish"]["estado"] = "";
	$fieldLabelsgestion["Spanish"]["utilidad_gestion"] = "Utilidad Gestion";
	$fieldToolTipsgestion["Spanish"]["utilidad_gestion"] = "";
	$placeHoldersgestion["Spanish"]["utilidad_gestion"] = "";
	$fieldLabelsgestion["Spanish"]["id_constitucion"] = "Id Constitucion";
	$fieldToolTipsgestion["Spanish"]["id_constitucion"] = "";
	$placeHoldersgestion["Spanish"]["id_constitucion"] = "";
	$fieldLabelsgestion["Spanish"]["estado_pago"] = "Planilla de Pago";
	$fieldToolTipsgestion["Spanish"]["estado_pago"] = "";
	$placeHoldersgestion["Spanish"]["estado_pago"] = "";
	$fieldLabelsgestion["Spanish"]["correlativo_pago"] = "Correlativo Pago";
	$fieldToolTipsgestion["Spanish"]["correlativo_pago"] = "";
	$placeHoldersgestion["Spanish"]["correlativo_pago"] = "";
	if (count($fieldToolTipsgestion["Spanish"]))
		$tdatagestion[".isUseToolTips"] = true;
}


	$tdatagestion[".NCSearch"] = true;



$tdatagestion[".shortTableName"] = "gestion";
$tdatagestion[".nSecOptions"] = 0;

$tdatagestion[".mainTableOwnerID"] = "";
$tdatagestion[".entityType"] = 0;
$tdatagestion[".connId"] = "bsn_dividendos_at_localhost";


$tdatagestion[".strOriginalTableName"] = "gestion";

	



$tdatagestion[".showAddInPopup"] = false;

$tdatagestion[".showEditInPopup"] = false;

$tdatagestion[".showViewInPopup"] = false;

$tdatagestion[".listAjax"] = false;
//	temporary
//$tdatagestion[".listAjax"] = false;

	$tdatagestion[".audit"] = true;

	$tdatagestion[".locking"] = true;


$pages = $tdatagestion[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatagestion[".edit"] = true;
	$tdatagestion[".afterEditAction"] = 1;
	$tdatagestion[".closePopupAfterEdit"] = 1;
	$tdatagestion[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatagestion[".add"] = true;
$tdatagestion[".afterAddAction"] = 1;
$tdatagestion[".closePopupAfterAdd"] = 1;
$tdatagestion[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatagestion[".list"] = true;
}



$tdatagestion[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatagestion[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatagestion[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatagestion[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatagestion[".printFriendly"] = true;
}



$tdatagestion[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatagestion[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatagestion[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatagestion[".isUseAjaxSuggest"] = true;



																																																																																																																																																

$tdatagestion[".ajaxCodeSnippetAdded"] = false;

$tdatagestion[".buttonsAdded"] = false;

$tdatagestion[".addPageEvents"] = false;

// use timepicker for search panel
$tdatagestion[".isUseTimeForSearch"] = false;


$tdatagestion[".badgeColor"] = "0000ff";


$tdatagestion[".allSearchFields"] = array();
$tdatagestion[".filterFields"] = array();
$tdatagestion[".requiredSearchFields"] = array();

$tdatagestion[".googleLikeFields"] = array();
$tdatagestion[".googleLikeFields"][] = "id_Gestion";
$tdatagestion[".googleLikeFields"][] = "id_Empresa";
$tdatagestion[".googleLikeFields"][] = "fecha_i";
$tdatagestion[".googleLikeFields"][] = "fecha_f";
$tdatagestion[".googleLikeFields"][] = "nombre";
$tdatagestion[".googleLikeFields"][] = "presidente";
$tdatagestion[".googleLikeFields"][] = "director_Secretario";
$tdatagestion[".googleLikeFields"][] = "sindico";
$tdatagestion[".googleLikeFields"][] = "estado";
$tdatagestion[".googleLikeFields"][] = "utilidad_gestion";
$tdatagestion[".googleLikeFields"][] = "id_constitucion";
$tdatagestion[".googleLikeFields"][] = "estado_pago";
$tdatagestion[".googleLikeFields"][] = "correlativo_pago";



$tdatagestion[".tableType"] = "list";

$tdatagestion[".printerPageOrientation"] = 0;
$tdatagestion[".nPrinterPageScale"] = 100;

$tdatagestion[".nPrinterSplitRecords"] = 40;

$tdatagestion[".geocodingEnabled"] = false;










$tdatagestion[".pageSize"] = 20;

$tdatagestion[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatagestion[".strOrderBy"] = $tstrOrderBy;

$tdatagestion[".orderindexes"] = array();


$tdatagestion[".sqlHead"] = "SELECT id_Gestion,  id_Empresa,  fecha_i,  fecha_f,  nombre,  presidente,  director_Secretario,  sindico,  estado,  utilidad_gestion,  id_constitucion,  estado_pago,  correlativo_pago";
$tdatagestion[".sqlFrom"] = "FROM gestion";
$tdatagestion[".sqlWhereExpr"] = "";
$tdatagestion[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatagestion[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatagestion[".arrGroupsPerPage"] = $arrGPP;

$tdatagestion[".highlightSearchResults"] = true;

$tableKeysgestion = array();
$tableKeysgestion[] = "id_Gestion";
$tdatagestion[".Keys"] = $tableKeysgestion;


$tdatagestion[".hideMobileList"] = array();




//	id_Gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_Gestion";
	$fdata["GoodName"] = "id_Gestion";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","id_Gestion");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_Gestion";

		$fdata["sourceSingle"] = "id_Gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "gestion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_Gestion";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "id_constitucion", "lookup" => "id_constitucion" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["id_Gestion"] = $fdata;
		$tdatagestion[".searchableFields"][] = "id_Gestion";
//	id_Empresa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id_Empresa";
	$fdata["GoodName"] = "id_Empresa";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","id_Empresa");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Empresa";

		$fdata["sourceSingle"] = "id_Empresa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Empresa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "empresa";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_Empresa";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["id_Empresa"] = $fdata;
		$tdatagestion[".searchableFields"][] = "id_Empresa";
//	fecha_i
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "fecha_i";
	$fdata["GoodName"] = "fecha_i";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","fecha_i");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_i";

		$fdata["sourceSingle"] = "fecha_i";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_i";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["fecha_i"] = $fdata;
		$tdatagestion[".searchableFields"][] = "fecha_i";
//	fecha_f
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "fecha_f";
	$fdata["GoodName"] = "fecha_f";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","fecha_f");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_f";

		$fdata["sourceSingle"] = "fecha_f";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_f";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["fecha_f"] = $fdata;
		$tdatagestion[".searchableFields"][] = "fecha_f";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","nombre");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

		$fdata["sourceSingle"] = "nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["nombre"] = $fdata;
		$tdatagestion[".searchableFields"][] = "nombre";
//	presidente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "presidente";
	$fdata["GoodName"] = "presidente";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","presidente");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "presidente";

		$fdata["sourceSingle"] = "presidente";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "presidente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["presidente"] = $fdata;
		$tdatagestion[".searchableFields"][] = "presidente";
//	director_Secretario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "director_Secretario";
	$fdata["GoodName"] = "director_Secretario";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","director_Secretario");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "director_Secretario";

		$fdata["sourceSingle"] = "director_Secretario";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "director_Secretario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["director_Secretario"] = $fdata;
		$tdatagestion[".searchableFields"][] = "director_Secretario";
//	sindico
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "sindico";
	$fdata["GoodName"] = "sindico";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","sindico");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "sindico";

		$fdata["sourceSingle"] = "sindico";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sindico";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["sindico"] = $fdata;
		$tdatagestion[".searchableFields"][] = "sindico";
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","estado");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "estado";

		$fdata["sourceSingle"] = "estado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "estado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Toggle");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Toggle");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["estado"] = $fdata;
		$tdatagestion[".searchableFields"][] = "estado";
//	utilidad_gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "utilidad_gestion";
	$fdata["GoodName"] = "utilidad_gestion";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","utilidad_gestion");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "utilidad_gestion";

		$fdata["sourceSingle"] = "utilidad_gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "utilidad_gestion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 3;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["utilidad_gestion"] = $fdata;
		$tdatagestion[".searchableFields"][] = "utilidad_gestion";
//	id_constitucion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "id_constitucion";
	$fdata["GoodName"] = "id_constitucion";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","id_constitucion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_constitucion";

		$fdata["sourceSingle"] = "id_constitucion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_constitucion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "constitucion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_constitucion";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "id_constitucion";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "id_Gestion";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["id_constitucion"] = $fdata;
		$tdatagestion[".searchableFields"][] = "id_constitucion";
//	estado_pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "estado_pago";
	$fdata["GoodName"] = "estado_pago";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","estado_pago");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "estado_pago";

		$fdata["sourceSingle"] = "estado_pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "estado_pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Toggle");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Toggle");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["estado_pago"] = $fdata;
		$tdatagestion[".searchableFields"][] = "estado_pago";
//	correlativo_pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "correlativo_pago";
	$fdata["GoodName"] = "correlativo_pago";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("gestion","correlativo_pago");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "correlativo_pago";

		$fdata["sourceSingle"] = "correlativo_pago";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "correlativo_pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Toggle");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Toggle");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagestion["correlativo_pago"] = $fdata;
		$tdatagestion[".searchableFields"][] = "correlativo_pago";


$tables_data["gestion"]=&$tdatagestion;
$field_labels["gestion"] = &$fieldLabelsgestion;
$fieldToolTips["gestion"] = &$fieldToolTipsgestion;
$placeHolders["gestion"] = &$placeHoldersgestion;
$page_titles["gestion"] = &$pageTitlesgestion;


changeTextControlsToDate( "gestion" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["gestion"] = array();
//	pago_dp
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="pago_dp";
		$detailsParam["dOriginalTable"] = "pago_dp";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "pago_dp";
	$detailsParam["dCaptionTable"] = GetTableCaption("pago_dp");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["gestion"][$dIndex] = $detailsParam;

	
		$detailsTablesData["gestion"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["gestion"][$dIndex]["masterKeys"][]="id_Gestion";

	$detailsTablesData["gestion"][$dIndex]["masterKeys"][]="id_constitucion";

				$detailsTablesData["gestion"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["gestion"][$dIndex]["detailKeys"][]="gestion";

		
	$detailsTablesData["gestion"][$dIndex]["detailKeys"][]="id_constitucion";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["gestion"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="constitucion";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="constitucion_empresa";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "constitucion_empresa";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["gestion"][0] = $masterParams;
				$masterTablesData["gestion"][0]["masterKeys"] = array();
	$masterTablesData["gestion"][0]["masterKeys"][]="id_constitucion";
				$masterTablesData["gestion"][0]["detailKeys"] = array();
	$masterTablesData["gestion"][0]["detailKeys"][]="id_constitucion";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_gestion()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_Gestion,  id_Empresa,  fecha_i,  fecha_f,  nombre,  presidente,  director_Secretario,  sindico,  estado,  utilidad_gestion,  id_constitucion,  estado_pago,  correlativo_pago";
$proto0["m_strFrom"] = "FROM gestion";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Gestion",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto6["m_sql"] = "id_Gestion";
$proto6["m_srcTableName"] = "gestion";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Empresa",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto8["m_sql"] = "id_Empresa";
$proto8["m_srcTableName"] = "gestion";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_i",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto10["m_sql"] = "fecha_i";
$proto10["m_srcTableName"] = "gestion";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_f",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto12["m_sql"] = "fecha_f";
$proto12["m_srcTableName"] = "gestion";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto14["m_sql"] = "nombre";
$proto14["m_srcTableName"] = "gestion";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "presidente",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto16["m_sql"] = "presidente";
$proto16["m_srcTableName"] = "gestion";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "director_Secretario",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto18["m_sql"] = "director_Secretario";
$proto18["m_srcTableName"] = "gestion";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "sindico",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto20["m_sql"] = "sindico";
$proto20["m_srcTableName"] = "gestion";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto22["m_sql"] = "estado";
$proto22["m_srcTableName"] = "gestion";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "utilidad_gestion",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto24["m_sql"] = "utilidad_gestion";
$proto24["m_srcTableName"] = "gestion";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "id_constitucion",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto26["m_sql"] = "id_constitucion";
$proto26["m_srcTableName"] = "gestion";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "estado_pago",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto28["m_sql"] = "estado_pago";
$proto28["m_srcTableName"] = "gestion";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "correlativo_pago",
	"m_strTable" => "gestion",
	"m_srcTableName" => "gestion"
));

$proto30["m_sql"] = "correlativo_pago";
$proto30["m_srcTableName"] = "gestion";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto32=array();
$proto32["m_link"] = "SQLL_MAIN";
			$proto33=array();
$proto33["m_strName"] = "gestion";
$proto33["m_srcTableName"] = "gestion";
$proto33["m_columns"] = array();
$proto33["m_columns"][] = "id_Gestion";
$proto33["m_columns"][] = "id_Empresa";
$proto33["m_columns"][] = "fecha_i";
$proto33["m_columns"][] = "fecha_f";
$proto33["m_columns"][] = "nombre";
$proto33["m_columns"][] = "presidente";
$proto33["m_columns"][] = "director_Secretario";
$proto33["m_columns"][] = "sindico";
$proto33["m_columns"][] = "numero_Acciones";
$proto33["m_columns"][] = "valor_Nominal";
$proto33["m_columns"][] = "estado";
$proto33["m_columns"][] = "utilidad_gestion";
$proto33["m_columns"][] = "id_constitucion";
$proto33["m_columns"][] = "estado_pago";
$proto33["m_columns"][] = "correlativo_pago";
$obj = new SQLTable($proto33);

$proto32["m_table"] = $obj;
$proto32["m_sql"] = "gestion";
$proto32["m_alias"] = "";
$proto32["m_srcTableName"] = "gestion";
$proto34=array();
$proto34["m_sql"] = "";
$proto34["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto34["m_column"]=$obj;
$proto34["m_contained"] = array();
$proto34["m_strCase"] = "";
$proto34["m_havingmode"] = false;
$proto34["m_inBrackets"] = false;
$proto34["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto34);

$proto32["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto32);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="gestion";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_gestion = createSqlQuery_gestion();


	
				;

													

$tdatagestion[".sqlquery"] = $queryData_gestion;



include_once(getabspath("include/gestion_events.php"));
$tdatagestion[".hasEvents"] = true;

?>